function GameConnection::isHost ( %this )
{
	return %this.bl_id == getNumKeyID ()  ||  %this.isLocalConnection ();
}

function isBannedFromBuilding ( %id )
{
	return isFile ("config/server/bannedBuilders/" @ %id @ ".txt");
}

function builderBanCheck ( %client )
{
	if ( isBannedFromBuilding (%client.bl_id) )
	{
		serverCmdCancelBrick (%client);
		%client.centerPrint ("\c5You are banned from building.", 3);

		return true;
	}

	return false;
}

function canBanBuilders ( %client )
{
	if ( %client.isHost () )
	{
		return true;
	}
	else if ( $Pref::Server::BuilderBan::BanPermission >= 2 )
	{
		return false;
	}

	if ( !%client.isSuperAdmin  &&  $Pref::Server::BuilderBan::BanPermission >= 1 )
	{
		return false;
	}

	if ( !%client.isAdmin  &&  $Pref::Server::BuilderBan::BanPermission >= 0 )
	{
		return false;
	}

	return true;
}
