package Script_BuilderBan
{
	function brickDeployProjectile::onCollision ( %this, %obj, %col, %fade, %pos, %norm )
	{
		%source = %obj.sourceObject;

		if ( %source.getClassName () $= "Player" )
		{
			if ( builderBanCheck (%source.client) )
			{
				return;
			}
		}

		Parent::onCollision (%this, %obj, %col, %fade, %pos, %norm);
	}

	function serverCmdPlantBrick ( %client )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdPlantBrick (%client);
		}
	}

	function serverCmdUseInventory ( %client, %slot )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdUseInventory (%client, %slot);
		}
	}

	function serverCmdInstantUseBrick ( %client, %data )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdInstantUseBrick (%client, %data);
		}
	}

	function serverCmdUseTool ( %client, %slot )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdUseTool (%client, %slot);
		}
	}

	function serverCmdUseSprayCan ( %client, %slot )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdUseSprayCan (%client, %slot);
		}
	}

	function serverCmdUseFXCan ( %client, %slot )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdUseFXCan (%client, %slot);
		}
	}

	function serverCmdWand ( %client )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdWand (%client);
		}
	}

	function serverCmdMagicWand ( %client )
	{
		if ( !builderBanCheck (%client) )
		{
			Parent::serverCmdMagicWand (%client);
		}
	}

	function serverCmdNewDuplicator ( %client )
	{
		if ( !builderBanCheck (%client)  &&  $AddOn__Tool_NewDuplicator == 1 )
		{
			Parent::serverCmdNewDuplicator (%client);
		}
	}

	function serverCmdWaterFX ( %client )
	{
		if ( !builderBanCheck (%client)  &&  $AddOn__Tool_WaterFX == 1 )
		{
			Parent::serverCmdWaterFX (%client);
		}
	}

	function serverCmdFillCan ( %client )
	{
		if ( !builderBanCheck (%client)  &&  $AddOn__Tool_Fill_Can == 1 )
		{
			Parent::serverCmdFillCan (%client);
		}
	}
};
activatePackage (Script_BuilderBan);
