if ( $Pref::Server::BuilderBan::BanPermission $= "" )
{
	$Pref::Server::BuilderBan::BanPermission = 1;
}

if ( isFunction (RTB_registerPref) )
{
	RTB_registerPref ("Ban/Unban Permission", "Builder Ban", "$Pref::Server::BuilderBan::BanPermission", 
		"list Host_Only 2 Super_Admins 1 Admins 0", "Script_BuilderBan", 1, false, false);
}


exec ("./utility.cs");

exec ("./ban.cs");
exec ("./unban.cs");
exec ("./banlist.cs");

exec ("./package.cs");


function serverCmdBuilderBanHelp ( %client )
{
	switch ( $Pref::Server::BuilderBan::BanPermission )
	{
		case 0:
			%label = "admin only";

		case 1:
			%label = "super admin only";

		default:
			%label = "host only";
	}

	messageClient (%client, '', " ");
	messageClient (%client, '', "\c4Builder Ban Commands:");
	messageClient (%client, '', "    \c3/banBuilder bl_id reason " @
		"\c6- Bans builder with an optional reason (multiple words supported)");

	messageClient (%client, '', "    \c3/unbanBuilder bl_id \c6- Unbans builder");
	messageClient (%client, '', "    \c3/clearBuilderBanList \c6- Clears the builder banlist");
	messageClient (%client, '', "    \c3/bannedBuilders \c6- Displays list of banned builders");
	messageClient (%client, '', " ");
	messageClient (%client, '', "\c6(All of the commands listed above are \c3" @ %label @ "\c6)");
	messageClient (%client, '', " ");
}
